qpid::client Namespace Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Enumerations | Functions
qpid::client Namespace Reference

## Namespaces
namespace | arg
namespace | no_keyword
## Classes
class | AsyncSession_0_10
| AMQP 0-10 session API with keyword arguments. More...
class | Completion
| Asynchronous commands that do not return a result will return a Completion. More...
class | Connection
| Represents a connection to an AMQP broker. More...
struct | ConnectionSettings
| Settings for a Connection. More...
class | FailoverListener
| Listen for updates from the amq.failover exchange. More...
struct | CannotConnectException
class | FailoverManager
| Utility to manage failover. More...
struct | FlowControl
| Flow control works by associating a finite amount of "credit" with a subscription. More...
class | Future
class | FutureCompletion
class | FutureResult
class | Handle
| A handle is like a pointer: refers to an underlying implementation object. More...
class | LocalQueue
| A local queue to collect messages retrieved from a remote broker queue. More...
class | Message
| A message sent to or received from the broker. More...
class | MessageListener
| Implement a subclass of MessageListener and subscribe it using the SubscriptionManager to receive messages. More...
class | MessageReplayTracker
| Utility to track messages sent asynchronously, allowing those that are indoubt to be replayed over a new session. More...
class | QueueOptions
| A help class to set options on the Queue. More...
class | Session_0_10
| AMQP 0-10 session API with keyword arguments. More...
class | SessionBase_0_10
| Base class for handles to an AMQP session. More...
class | Subscription
| A handle to an active subscription. More...
class | SubscriptionManager
| A class to help create and manage subscriptions. More...
class | AutoCancel
| AutoCancel cancels a subscription in its destructor. More...
struct | SubscriptionSettings
| Settings for a subscription. More...
class | TypedResult
| Returned by asynchronous commands that return a result. More...
## Typedefs
typedef AsyncSession_0_10 | AsyncSession
| AsyncSession is an alias for Session_0_10.
typedef Session_0_10 | Session
| Session is an alias for Session_0_10.
## Enumerations
enum | QueueSizePolicy { NONE, REJECT, FLOW_TO_DISK, RING, RING_STRICT }
enum | QueueOrderingPolicy { FIFO, LVQ, LVQ_NO_BROWSE }
enum | CreditUnit { MESSAGE_CREDIT = 0, BYTE_CREDIT = 1, UNLIMITED_CREDIT = 0xFFFFFFFF }
| Unit of message credit: messages or bytes. More...
enum | CompletionMode { MANUAL_COMPLETION = 0, COMPLETE_ON_DELIVERY = 1, COMPLETE_ON_ACCEPT = 2 }
## Functions
AsyncSession_0_10 | async (const SessionBase_0_10 &other)
| Conversion to AsyncSession_0_10 from another session type.
Session_0_10 | sync (const SessionBase_0_10 &other)
| Conversion to Session_0_10 from another session type.

## Typedef Documentation

typedef AsyncSession_0_10 qpid::client::AsyncSession

AsyncSession is an alias for Session_0_10.

Definition at line 34 of file AsyncSession.h.

typedef Session_0_10 qpid::client::Session

Session is an alias for Session_0_10.

Definition at line 34 of file Session.h.

## Enumeration Type Documentation

enum qpid::client::CompletionMode

Enumerator:

  MANUAL_COMPLETION |
  COMPLETE_ON_DELIVERY |
  COMPLETE_ON_ACCEPT |

Definition at line 33 of file SubscriptionSettings.h.

enum qpid::client::CreditUnit

Unit of message credit: messages or bytes.

Enumerator:

  MESSAGE_CREDIT |
  BYTE_CREDIT |
  UNLIMITED_CREDIT |

Definition at line 49 of file SessionBase_0_10.h.

enum qpid::client::QueueOrderingPolicy

Enumerator:

  FIFO |
  LVQ |
  LVQ_NO_BROWSE |

Definition at line 32 of file QueueOptions.h.

enum qpid::client::QueueSizePolicy

Enumerator:

  NONE |
  REJECT |
  FLOW_TO_DISK |
  RING |
  RING_STRICT |

Definition at line 31 of file QueueOptions.h.

## Function Documentation

AsyncSession_0_10 qpid::client::async | ( | const SessionBase_0_10 & | other | ) | `[inline]`

Conversion to AsyncSession_0_10 from another session type.

Definition at line 553 of file AsyncSession_0_10.h.

Session_0_10 qpid::client::sync | ( | const SessionBase_0_10 & | other | ) | `[inline]`

Conversion to Session_0_10 from another session type.

Definition at line 553 of file Session_0_10.h.

Referenced by qpid::client::AsyncSession_0_10::BOOST_PARAMETER_MEMFUN(), and qpid::client::Session_0_10::BOOST_PARAMETER_MEMFUN().